<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_MiscParam Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_MiscParam Struct Reference<br>
<small>
[<a class="el" href="group__Edma3RMMain.html">Interface Definition for EDMA3 Resource Manager Layer</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_MiscParam" -->Used to specify the miscellaneous options during Resource Manager Initialization.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__MiscParam.html#56ea473581e1d76b7497796d1e46d850">isSlave</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__MiscParam.html#b66a1abe88183a9f57c85373010e5c75">param</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Used to specify the miscellaneous options during Resource Manager Initialization. 
<p>
This configuration structure is used to specify some misc options while creating the RM Object. New options may also be added into this structure in future. <hr><h2>Field Documentation</h2>
<a class="anchor" name="56ea473581e1d76b7497796d1e46d850"></a><!-- doxytag: member="EDMA3_RM_MiscParam::isSlave" ref="56ea473581e1d76b7497796d1e46d850" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="structEDMA3__RM__MiscParam.html#56ea473581e1d76b7497796d1e46d850">EDMA3_RM_MiscParam::isSlave</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
In a multi-master system (for e.g. ARM + DSP), this option is used to distinguish between Master and Slave. Only the Master is allowed to program the global EDMA3 registers (like Queue priority, Queue water- mark level, error registers etc). 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l00358">EDMA3_RM_create()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b66a1abe88183a9f57c85373010e5c75"></a><!-- doxytag: member="EDMA3_RM_MiscParam::param" ref="b66a1abe88183a9f57c85373010e5c75" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="structEDMA3__RM__MiscParam.html#b66a1abe88183a9f57c85373010e5c75">EDMA3_RM_MiscParam::param</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
For future use 
</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
